/*
 * tmos - p2.h
 *
 * Support for P2 protocol
 *
 * Copyright (C) 2012  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef __P2_H
#include <tmos/kernel.h>
#include <tmos/sched.h>

#define P2_SYNC	0xff
#define P2_STOP	0x00

char p2_xmit(void __kernel *frame);

#endif
